Vla-get-floatingrows

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-floatingrows vla-object )


機能
浮動ツールバーの行数を取得する。


引数
  • vla-object … ToolbarのVLAオブジェクト


戻り値
浮動ツールバーの行数。


サンプル
(vl-load-com)
(defun c:Example_FloatingRows()
    ;; 浮動状態のツールバーを作成して、行数を1-3で変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
  
    ;; ツールバーを作成
    (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar"))
    
    ;; ボタンを3つ追加
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro))
    (setq newButton2 (vla-AddToolbarButton newToolBar "" "NewButton2" "Open a file." openMacro))
    (setq newButton3 (vla-AddToolbarButton newToolBar "" "NewButton3" "Open a file." openMacro))    
    
    ;; ツールバーを表示
    (vla-put-Visible newToolBar :vlax-true)
    (vla-Float newToolBar 200 200 1)
    (alert (strcat "ツールバーは " (itoa (vla-get-FloatingRows newToolBar)) " 行."))
    
    (vla-put-FloatingRows newToolBar 2)
    (alert (strcat "ツールバーは " (itoa (vla-get-FloatingRows newToolBar)) " 行."))
    
    (vla-put-FloatingRows newToolBar 3)
    (alert (strcat "ツールバーは " (itoa (vla-get-FloatingRows newToolBar)) " 行."))
)

関連事項